#include "vtkModuleDependencies.h"

struct vtkModuleDependency
{
  const char* ModuleName;
  const char** LibraryNames;
  const char** Depends;
  bool Python;
} vtkModules[] = {
  { "vtkverdict", vtkverdictLibraries, vtkverdictDepends, false },
  { "vtkFiltersParallel", vtkFiltersParallelLibraries, vtkFiltersParallelDepends, true },
  { "vtkIOParallelXML", vtkIOParallelXMLLibraries, vtkIOParallelXMLDepends, true },
  { "vtkVPIC", vtkVPICLibraries, vtkVPICDepends, false },
  { "pqApplicationComponents", pqApplicationComponentsLibraries, pqApplicationComponentsDepends, false },
  { "vtkTestingCore", vtkTestingCoreLibraries, vtkTestingCoreDepends, false },
  { "vtkRenderingVolumeOpenGL2", vtkRenderingVolumeOpenGL2Libraries, vtkRenderingVolumeOpenGL2Depends, true },
  { "vtkIONetCDF", vtkIONetCDFLibraries, vtkIONetCDFDepends, true },
  { "smTestDriver", smTestDriverLibraries, smTestDriverDepends, false },
  { "vtkPVServerImplementationCore", vtkPVServerImplementationCoreLibraries, vtkPVServerImplementationCoreDepends, true },
  { "vtkPVCatalyst", vtkPVCatalystLibraries, vtkPVCatalystDepends, true },
  { "vtkexodusII", vtkexodusIILibraries, vtkexodusIIDepends, false },
  { "vtkRenderingGL2PSOpenGL2", vtkRenderingGL2PSOpenGL2Libraries, vtkRenderingGL2PSOpenGL2Depends, true },
  { "vtkFiltersAMR", vtkFiltersAMRLibraries, vtkFiltersAMRDepends, true },
  { "vtkDICOMParser", vtkDICOMParserLibraries, vtkDICOMParserDepends, false },
  { "vtkIOParallel", vtkIOParallelLibraries, vtkIOParallelDepends, true },
  { "vtkPVClientServerCoreCore", vtkPVClientServerCoreCoreLibraries, vtkPVClientServerCoreCoreDepends, true },
  { "vtkPVServerManagerRendering", vtkPVServerManagerRenderingLibraries, vtkPVServerManagerRenderingDepends, true },
  { "vtkWrappingPythonCore", vtkWrappingPythonCoreLibraries, vtkWrappingPythonCoreDepends, false },
  { "vtkRenderingAnnotation", vtkRenderingAnnotationLibraries, vtkRenderingAnnotationDepends, true },
  { "vtkRenderingLOD", vtkRenderingLODLibraries, vtkRenderingLODDepends, true },
  { "vtkIOExportOpenGL2", vtkIOExportOpenGL2Libraries, vtkIOExportOpenGL2Depends, true },
  { "vtkIOXML", vtkIOXMLLibraries, vtkIOXMLDepends, true },
  { "vtkIOGeometry", vtkIOGeometryLibraries, vtkIOGeometryDepends, true },
  { "vtkImagingHybrid", vtkImagingHybridLibraries, vtkImagingHybridDepends, true },
  { "vtkRenderingMatplotlib", vtkRenderingMatplotlibLibraries, vtkRenderingMatplotlibDepends, true },
  { "vtkjsoncpp", vtkjsoncppLibraries, vtkjsoncppDepends, false },
  { "vtkIOXdmf2", vtkIOXdmf2Libraries, vtkIOXdmf2Depends, true },
  { "vtkImagingMorphological", vtkImagingMorphologicalLibraries, vtkImagingMorphologicalDepends, true },
  { "vtkRenderingVolume", vtkRenderingVolumeLibraries, vtkRenderingVolumeDepends, true },
  { "vtkImagingMath", vtkImagingMathLibraries, vtkImagingMathDepends, true },
  { "vtkRenderingLICOpenGL2", vtkRenderingLICOpenGL2Libraries, vtkRenderingLICOpenGL2Depends, true },
  { "vtkIOExport", vtkIOExportLibraries, vtkIOExportDepends, true },
  { "vtkImagingSources", vtkImagingSourcesLibraries, vtkImagingSourcesDepends, true },
  { "vtkFiltersCore", vtkFiltersCoreLibraries, vtkFiltersCoreDepends, true },
  { "vtkexpat", vtkexpatLibraries, vtkexpatDepends, false },
  { "vtksys", vtksysLibraries, vtksysDepends, false },
  { "vtklz4", vtklz4Libraries, vtklz4Depends, false },
  { "vtkFiltersExtraction", vtkFiltersExtractionLibraries, vtkFiltersExtractionDepends, true },
  { "vtkParaViewWebPython", vtkParaViewWebPythonLibraries, vtkParaViewWebPythonDepends, false },
  { "vtkUtilitiesProcessXML", vtkUtilitiesProcessXMLLibraries, vtkUtilitiesProcessXMLDepends, false },
  { "vtkWebPython2", vtkWebPython2Libraries, vtkWebPython2Depends, false },
  { "vtkCommonComputationalGeometry", vtkCommonComputationalGeometryLibraries, vtkCommonComputationalGeometryDepends, true },
  { "vtkTestingRendering", vtkTestingRenderingLibraries, vtkTestingRenderingDepends, true },
  { "vtkRenderingContextOpenGL2", vtkRenderingContextOpenGL2Libraries, vtkRenderingContextOpenGL2Depends, true },
  { "vtkDomainsChemistry", vtkDomainsChemistryLibraries, vtkDomainsChemistryDepends, true },
  { "vtkCommonDataModel", vtkCommonDataModelLibraries, vtkCommonDataModelDepends, true },
  { "vtkIOMovie", vtkIOMovieLibraries, vtkIOMovieDepends, true },
  { "vtkPython", vtkPythonLibraries, vtkPythonDepends, false },
  { "vtkFiltersPoints", vtkFiltersPointsLibraries, vtkFiltersPointsDepends, true },
  { "vtkPVVTKExtensionsRendering", vtkPVVTKExtensionsRenderingLibraries, vtkPVVTKExtensionsRenderingDepends, true },
  { "pqCore", pqCoreLibraries, pqCoreDepends, false },
  { "vtkPVCinemaReader", vtkPVCinemaReaderLibraries, vtkPVCinemaReaderDepends, true },
  { "vtkParaViewWebCore", vtkParaViewWebCoreLibraries, vtkParaViewWebCoreDepends, true },
  { "vtkPVVTKExtensionsDefault", vtkPVVTKExtensionsDefaultLibraries, vtkPVVTKExtensionsDefaultDepends, true },
  { "vtkFiltersStatistics", vtkFiltersStatisticsLibraries, vtkFiltersStatisticsDepends, true },
  { "vtkRenderingVolumeAMR", vtkRenderingVolumeAMRLibraries, vtkRenderingVolumeAMRDepends, true },
  { "vtkChartsCore", vtkChartsCoreLibraries, vtkChartsCoreDepends, true },
  { "vtkPVAnimation", vtkPVAnimationLibraries, vtkPVAnimationDepends, true },
  { "vtkFiltersSources", vtkFiltersSourcesLibraries, vtkFiltersSourcesDepends, true },
  { "vtknetcdf", vtknetcdfLibraries, vtknetcdfDepends, false },
  { "vtkjpeg", vtkjpegLibraries, vtkjpegDepends, false },
  { "vtkIOTecplotTable", vtkIOTecplotTableLibraries, vtkIOTecplotTableDepends, true },
  { "vtkzlib", vtkzlibLibraries, vtkzlibDepends, false },
  { "vtkoggtheora", vtkoggtheoraLibraries, vtkoggtheoraDepends, false },
  { "vtkCommonExecutionModel", vtkCommonExecutionModelLibraries, vtkCommonExecutionModelDepends, true },
  { "vtkViewsCore", vtkViewsCoreLibraries, vtkViewsCoreDepends, true },
  { "vtkImagingFourier", vtkImagingFourierLibraries, vtkImagingFourierDepends, true },
  { "vtkFiltersParallelStatistics", vtkFiltersParallelStatisticsLibraries, vtkFiltersParallelStatisticsDepends, true },
  { "vtkxdmf2", vtkxdmf2Libraries, vtkxdmf2Depends, false },
  { "pqPython", pqPythonLibraries, pqPythonDepends, false },
  { "vtkPVClientServerCoreDefault", vtkPVClientServerCoreDefaultLibraries, vtkPVClientServerCoreDefaultDepends, true },
  { "vtkIOEnSight", vtkIOEnSightLibraries, vtkIOEnSightDepends, true },
  { "vtkCommonTransforms", vtkCommonTransformsLibraries, vtkCommonTransformsDepends, true },
  { "vtkIOExodus", vtkIOExodusLibraries, vtkIOExodusDepends, true },
  { "vtkFiltersHybrid", vtkFiltersHybridLibraries, vtkFiltersHybridDepends, true },
  { "vtkWebGLExporter", vtkWebGLExporterLibraries, vtkWebGLExporterDepends, true },
  { "vtkParaViewWebPython2", vtkParaViewWebPython2Libraries, vtkParaViewWebPython2Depends, false },
  { "vtkInteractionImage", vtkInteractionImageLibraries, vtkInteractionImageDepends, true },
  { "vtkFiltersHyperTree", vtkFiltersHyperTreeLibraries, vtkFiltersHyperTreeDepends, true },
  { "vtkgl2ps", vtkgl2psLibraries, vtkgl2psDepends, false },
  { "vtkGUISupportQt", vtkGUISupportQtLibraries, vtkGUISupportQtDepends, false },
  { "vtkIOLSDyna", vtkIOLSDynaLibraries, vtkIOLSDynaDepends, true },
  { "pqWidgets", pqWidgetsLibraries, pqWidgetsDepends, false },
  { "vtkpugixml", vtkpugixmlLibraries, vtkpugixmlDepends, false },
  { "vtkUtilitiesWrapClientServer", vtkUtilitiesWrapClientServerLibraries, vtkUtilitiesWrapClientServerDepends, false },
  { "vtkInfovisCore", vtkInfovisCoreLibraries, vtkInfovisCoreDepends, true },
  { "vtkCommonCore", vtkCommonCoreLibraries, vtkCommonCoreDepends, true },
  { "Twisted", TwistedLibraries, TwistedDepends, false },
  { "vtkWrappingTools", vtkWrappingToolsLibraries, vtkWrappingToolsDepends, false },
  { "vtkIOTRUCHAS", vtkIOTRUCHASLibraries, vtkIOTRUCHASDepends, true },
  { "vtkFiltersModeling", vtkFiltersModelingLibraries, vtkFiltersModelingDepends, true },
  { "vtkCommonMisc", vtkCommonMiscLibraries, vtkCommonMiscDepends, true },
  { "vtktiff", vtktiffLibraries, vtktiffDepends, false },
  { "vtkalglib", vtkalglibLibraries, vtkalglibDepends, false },
  { "vtkglew", vtkglewLibraries, vtkglewDepends, false },
  { "vtkFiltersVerdict", vtkFiltersVerdictLibraries, vtkFiltersVerdictDepends, true },
  { "CinemaPython", CinemaPythonLibraries, CinemaPythonDepends, false },
  { "vtkIOXMLParser", vtkIOXMLParserLibraries, vtkIOXMLParserDepends, true },
  { "vtkIOLegacy", vtkIOLegacyLibraries, vtkIOLegacyDepends, true },
  { "vtkPVClientServerCoreRendering", vtkPVClientServerCoreRenderingLibraries, vtkPVClientServerCoreRenderingDepends, true },
  { "vtkRenderingOpenGL2", vtkRenderingOpenGL2Libraries, vtkRenderingOpenGL2Depends, true },
  { "vtkImagingColor", vtkImagingColorLibraries, vtkImagingColorDepends, true },
  { "vtkIOParallelExodus", vtkIOParallelExodusLibraries, vtkIOParallelExodusDepends, true },
  { "vtkCommonColor", vtkCommonColorLibraries, vtkCommonColorDepends, true },
  { "vtkFiltersTexture", vtkFiltersTextureLibraries, vtkFiltersTextureDepends, true },
  { "vtkFiltersGeometry", vtkFiltersGeometryLibraries, vtkFiltersGeometryDepends, true },
  { "vtkImagingGeneral", vtkImagingGeneralLibraries, vtkImagingGeneralDepends, true },
  { "vtkIOPLY", vtkIOPLYLibraries, vtkIOPLYDepends, true },
  { "ZopeInterface", ZopeInterfaceLibraries, ZopeInterfaceDepends, false },
  { "vtkRenderingCore", vtkRenderingCoreLibraries, vtkRenderingCoreDepends, true },
  { "vtkCommonMath", vtkCommonMathLibraries, vtkCommonMathDepends, true },
  { "vtkCommonSystem", vtkCommonSystemLibraries, vtkCommonSystemDepends, true },
  { "vtkPVVTKExtensionsPoints", vtkPVVTKExtensionsPointsLibraries, vtkPVVTKExtensionsPointsDepends, true },
  { "vtkMetaIO", vtkMetaIOLibraries, vtkMetaIODepends, false },
  { "vtkParaViewWeb", vtkParaViewWebLibraries, vtkParaViewWebDepends, false },
  { "Pygments", PygmentsLibraries, PygmentsDepends, false },
  { "AutobahnPython", AutobahnPythonLibraries, AutobahnPythonDepends, false },
  { "vtkRenderingParallel", vtkRenderingParallelLibraries, vtkRenderingParallelDepends, true },
  { "vtkfreetype", vtkfreetypeLibraries, vtkfreetypeDepends, false },
  { "vtkFiltersProgrammable", vtkFiltersProgrammableLibraries, vtkFiltersProgrammableDepends, true },
  { "vtkPVServerManagerCore", vtkPVServerManagerCoreLibraries, vtkPVServerManagerCoreDepends, true },
  { "vtkpng", vtkpngLibraries, vtkpngDepends, false },
  { "vtkRenderingContext2D", vtkRenderingContext2DLibraries, vtkRenderingContext2DDepends, true },
  { "vtkUtilitiesLegacyColorMapXMLToJSON", vtkUtilitiesLegacyColorMapXMLToJSONLibraries, vtkUtilitiesLegacyColorMapXMLToJSONDepends, false },
  { "vtkFiltersFlowPaths", vtkFiltersFlowPathsLibraries, vtkFiltersFlowPathsDepends, true },
  { "vtkInteractionStyle", vtkInteractionStyleLibraries, vtkInteractionStyleDepends, true },
  { "vtkPVVTKExtensionsCore", vtkPVVTKExtensionsCoreLibraries, vtkPVVTKExtensionsCoreDepends, true },
  { "vtkFiltersPython", vtkFiltersPythonLibraries, vtkFiltersPythonDepends, true },
  { "vtkWebCore", vtkWebCoreLibraries, vtkWebCoreDepends, true },
  { "vtkFiltersGeneric", vtkFiltersGenericLibraries, vtkFiltersGenericDepends, true },
  { "vtkWebPython", vtkWebPythonLibraries, vtkWebPythonDepends, false },
  { "vtkClientServer", vtkClientServerLibraries, vtkClientServerDepends, false },
  { "vtkIOParallelLSDyna", vtkIOParallelLSDynaLibraries, vtkIOParallelLSDynaDepends, true },
  { "vtkViewsContext2D", vtkViewsContext2DLibraries, vtkViewsContext2DDepends, true },
  { "vtkParallelCore", vtkParallelCoreLibraries, vtkParallelCoreDepends, true },
  { "vtkhdf5", vtkhdf5Libraries, vtkhdf5Depends, false },
  { "vtkIOAMR", vtkIOAMRLibraries, vtkIOAMRDepends, true },
  { "vtklibxml2", vtklibxml2Libraries, vtklibxml2Depends, false },
  { "vtkPythonInterpreter", vtkPythonInterpreterLibraries, vtkPythonInterpreterDepends, true },
  { "vtkUtilitiesEncodeString", vtkUtilitiesEncodeStringLibraries, vtkUtilitiesEncodeStringDepends, false },
  { "vtkPVServerManagerApplication", vtkPVServerManagerApplicationLibraries, vtkPVServerManagerApplicationDepends, true },
  { "vtkIOCore", vtkIOCoreLibraries, vtkIOCoreDepends, true },
  { "vtkRenderingFreeType", vtkRenderingFreeTypeLibraries, vtkRenderingFreeTypeDepends, true },
  { "vtkqttesting", vtkqttestingLibraries, vtkqttestingDepends, false },
  { "vtkkwiml", vtkkwimlLibraries, vtkkwimlDepends, false },
  { "vtkRenderingLabel", vtkRenderingLabelLibraries, vtkRenderingLabelDepends, true },
  { "vtkPVServerImplementationRendering", vtkPVServerImplementationRenderingLibraries, vtkPVServerImplementationRenderingDepends, true },
  { "vtkPVCommon", vtkPVCommonLibraries, vtkPVCommonDepends, true },
  { "vtkImagingCore", vtkImagingCoreLibraries, vtkImagingCoreDepends, true },
  { "vtkIOImage", vtkIOImageLibraries, vtkIOImageDepends, true },
  { "SixPython", SixPythonLibraries, SixPythonDepends, false },
  { "vtkIOImport", vtkIOImportLibraries, vtkIOImportDepends, true },
  { "vtkDomainsChemistryOpenGL2", vtkDomainsChemistryOpenGL2Libraries, vtkDomainsChemistryOpenGL2Depends, true },
  { "vtkFiltersGeneral", vtkFiltersGeneralLibraries, vtkFiltersGeneralDepends, true },
  { "vtkUtilitiesHashSource", vtkUtilitiesHashSourceLibraries, vtkUtilitiesHashSourceDepends, false },
  { "vtkPVServerManagerDefault", vtkPVServerManagerDefaultLibraries, vtkPVServerManagerDefaultDepends, true },
  { "vtkprotobuf", vtkprotobufLibraries, vtkprotobufDepends, false },
  { "vtkInteractionWidgets", vtkInteractionWidgetsLibraries, vtkInteractionWidgetsDepends, true },
  { "pqComponents", pqComponentsLibraries, pqComponentsDepends, false },
  { "vtkIOInfovis", vtkIOInfovisLibraries, vtkIOInfovisDepends, true },
  { "vtkIOVPIC", vtkIOVPICLibraries, vtkIOVPICDepends, true },
  { "vtkPVPythonCatalyst", vtkPVPythonCatalystLibraries, vtkPVPythonCatalystDepends, true },
  { "vtkUtilitiesPythonInitializer", vtkUtilitiesPythonInitializerLibraries, vtkUtilitiesPythonInitializerDepends, false },
  { NULL, NULL, NULL, false }
};
