// Loadable modules
//
// Generated by ../../bin/vtkkwProcessXML-pv5.3
//
#ifndef __vtkSMXML_StreamLinesRepresentation_h
#define __vtkSMXML_StreamLinesRepresentation_h

#include <string.h>


// From file /home/abuild/rpmbuild/BUILD/ParaView-v5.3.0/Plugins/StreamLinesRepresentation/StreamLinesRepresentation.xml
static const char* const StreamLinesRepresentationStreamLinesRepresentationInterfaces0 =
"<ServerManagerConfiguration>\n"
"  <!--======================================================================-->\n"
"  <ProxyGroup name=\"representations\">\n"
"    <RepresentationProxy name=\"StreamLinesRepresentation\"\n"
"                         class=\"vtkStreamLinesRepresentation\"\n"
"                         processes=\"client|dataserver|renderserver\"\n"
"                         si_class=\"vtkSIProxy\">\n"
"      <Documentation>\n"
"        Representation proxy for StreamLines.\n"
"      </Documentation>\n"
"\n"
"      <InputProperty name=\"Input\"\n"
"                     command=\"SetInputConnection\">\n"
"        <DataTypeDomain composite_data_supported=\"1\"\n"
"                        name=\"input_type\">\n"
"          <DataType value=\"vtkDataSet\" />\n"
"          <DataType value=\"vtkMultiBlockDataSet\" />\n"
"        </DataTypeDomain>\n"
"        <InputArrayDomain name=\"input_vectors\"\n"
"                          number_of_components=\"3\">\n"
"        </InputArrayDomain>\n"
"        <Documentation>Set the input to the representation.</Documentation>\n"
"      </InputProperty>\n"
"\n"
"      <StringVectorProperty name=\"InputVectors\"\n"
"                            command=\"SetInputVectors\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            label=\"Vectors\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         attribute_type=\"Vectors\"\n"
"                         input_domain_name=\"input_vectors\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <FieldDataDomain name=\"field_list\"\n"
"                         disable_update_domain_entries=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"\n"
"        <Documentation>\n"
"          This property specifies the name of the input vector array to process.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <ProxyProperty command=\"SetLookupTable\"\n"
"                     name=\"LookupTable\"\n"
"                     skip_dependency=\"1\">\n"
"        <Documentation>Set the lookup-table to use to map data array to colors.\n"
"        Lookuptable is only used with MapScalars to ON.</Documentation>\n"
"        <ProxyGroupDomain name=\"groups\">\n"
"          <Group name=\"lookup_tables\" />\n"
"        </ProxyGroupDomain>\n"
"      </ProxyProperty>\n"
"\n"
"      <StringVectorProperty command=\"SetInputArrayToProcess\"\n"
"                            element_types=\"0 0 0 0 2\"\n"
"                            name=\"ColorArrayName\"\n"
"                            number_of_elements=\"5\">\n"
"        <Documentation>\n"
"          Set the array to color with. One must specify the field association and\n"
"          the array name of the array. If the array is missing, scalar coloring will\n"
"          automatically be disabled.\n"
"        </Documentation>\n"
"        <RepresentedArrayListDomain name=\"array_list\"\n"
"                         input_domain_name=\"input_array_any\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </RepresentedArrayListDomain>\n"
"        <FieldDataDomain name=\"field_list\"\n"
"                         disable_update_domain_entries=\"1\"\n"
"                         force_point_cell_data=\"1\">\n"
"          <RequiredProperties>\n"
"            <Property function=\"Input\" name=\"Input\" />\n"
"          </RequiredProperties>\n"
"        </FieldDataDomain>\n"
"      </StringVectorProperty>\n"
"\n"
"      <IntVectorProperty command=\"SetVisibility\"\n"
"                         default_values=\"1\"\n"
"                         name=\"Visibility\"\n"
"                         number_of_elements=\"1\">\n"
"        <BooleanDomain name=\"bool\" />\n"
"        <Documentation>Set the visibility for this representation.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetDiffuseColor\"\n"
"                            default_values=\"0.0 1.0 0.0\"\n"
"                            name=\"DiffuseColor\"\n"
"                            number_of_elements=\"3\"\n"
"                            panel_widget=\"color_selector_with_palette\">\n"
"        <DoubleRangeDomain max=\"1 1 1\"\n"
"                           min=\"0 0 0\"\n"
"                           name=\"range\" />\n"
"        <Hints>\n"
"          <GlobalPropertyLink type=\"ColorPalette\" property=\"SurfaceColor\" />\n"
"        </Hints>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty command=\"SetLineWidth\"\n"
"                            default_values=\"1.0\"\n"
"                            name=\"LineWidth\"\n"
"                            number_of_elements=\"1\">\n"
"        <DoubleRangeDomain min=\"1\"\n"
"                           name=\"range\" />\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Alpha\"\n"
"                            command=\"SetAlpha\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.1\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\" />\n"
"        <Documentation>Blending factor applied each frame is done with the\n"
"          formula: 1 - 1 / (Alpha * MaxTimeToLive).\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"StepLength\"\n"
"                            command=\"SetStepLength\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.005\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" />\n"
"        <Documentation>Normalized integration step - allow to adjust particle\n"
"          speed.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NumberOfParticles\"\n"
"                         command=\"SetNumberOfParticles\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"1000\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>Number of simulated particles in the flow.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"MaxTimeToLive\"\n"
"                         command=\"SetMaxTimeToLive\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"600\">\n"
"        <IntRangeDomain name=\"range\" min=\"1\" />\n"
"        <Documentation>Maximum number of iteration a particle is followed before\n"
"        it dies.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    </RepresentationProxy>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"UniformGridRepresentation\">\n"
"      <RepresentationType subproxy=\"StreamLinesRepresentation\"\n"
"                          text=\"Stream Lines\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"StreamLinesRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"StreamLinesRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Stream Lines\">\n"
"            <Property name=\"InputVectors\"/>\n"
"            <Property name=\"Alpha\"/>\n"
"            <Property name=\"StepLength\"/>\n"
"            <Property name=\"NumberOfParticles\" />\n"
"            <Property name=\"MaxTimeToLive\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Stream Lines\" />\n"
"           </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"GeometryRepresentation\">\n"
"      <RepresentationType subproxy=\"StreamLinesRepresentation\"\n"
"                          text=\"Stream Lines\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"StreamLinesRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"StreamLinesRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Stream Lines\">\n"
"            <Property name=\"InputVectors\"/>\n"
"            <Property name=\"Alpha\"/>\n"
"            <Property name=\"StepLength\"/>\n"
"            <Property name=\"NumberOfParticles\" />\n"
"            <Property name=\"MaxTimeToLive\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Stream Lines\" />\n"
"           </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"UnstructuredGridRepresentation\">\n"
"      <RepresentationType subproxy=\"StreamLinesRepresentation\"\n"
"                          text=\"Stream Lines\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"StreamLinesRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"StreamLinesRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Stream Lines\">\n"
"            <Property name=\"InputVectors\"/>\n"
"            <Property name=\"Alpha\"/>\n"
"            <Property name=\"StepLength\"/>\n"
"            <Property name=\"NumberOfParticles\" />\n"
"            <Property name=\"MaxTimeToLive\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Stream Lines\" />\n"
"           </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"    <!--======================================================================-->\n"
"    <Extension name=\"StructuredGridRepresentation\">\n"
"      <RepresentationType subproxy=\"StreamLinesRepresentation\"\n"
"                          text=\"Stream Lines\" />\n"
"      <SubProxy>\n"
"        <Proxy name=\"StreamLinesRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"StreamLinesRepresentation\" />\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Stream Lines\">\n"
"            <Property name=\"InputVectors\"/>\n"
"            <Property name=\"Alpha\"/>\n"
"            <Property name=\"StepLength\"/>\n"
"            <Property name=\"NumberOfParticles\" />\n"
"            <Property name=\"MaxTimeToLive\" />\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Stream Lines\" />\n"
"           </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    </Extension>\n"
"\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
char* StreamLinesRepresentationStreamLinesRepresentationInterfaces()
{
  size_t len = ( 0
    + strlen(StreamLinesRepresentationStreamLinesRepresentationInterfaces0) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, StreamLinesRepresentationStreamLinesRepresentationInterfaces0);
  return res;
}



#endif
